component-announcement {
  display: flex;
  position: relative;
  opacity: 0;
  padding-block: var(--s-1);
}

component-announcement.is-loaded {
  opacity: 1;
  transition: opacity 0.3s ease-in;
}

.announcement-message {
  position: absolute;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.4s ease-in-out;
}

.announcement-message.is-active {
  position: relative;
  opacity: 1;
}
